<?php
/**
 * Validacion de usuarios: configuracion personalizable por el usuario
 * Hace uso del PEAR::Auth
 *
 * @package gvHIDRA
 */

include_once 'gvhBaseAuth.php';

class AuthMultiple extends gvhBaseAuth
{
	static $options = array(
		array( 
			'type'=>'MDB2',
			'options'=>array(
				'dsn'=>'mysql://root:gaspar@localhost/auth',
				'table'=>'usuarios',
				'usernamecol'=>'usuario',
				'passwordcol'=>'pwd',
				//'cryptType'=>'md5', // por defecto
			)
		),
		array( 
			'type'=>'Array',
			'options'=>array(
				'cryptType'=>'md5',
				'users'=>array(
					'usu1'=>'529113007b15005637b3dad6d9ba2f10',  //md5(usu1)
					'usu2'=>'9c60c45d8440e2ece3442fed8fe4c5c2',  //md5(usu2)
				)
			)
		)
	);

    /**
     * Inicializa variables en la sesin que recibe.
     * Se ejecuta la primera vez que accede a la aplicacin
     */
    function postLogin($sess, $auth=null)
    {
    	$sess['usuario']['nombre']='Usuario Invitado con Array';
		$sess['rolusuar'] = 'perfil_por_definir';
		$sess['modulos'] = array();
		$sess['daplicacion'] = 'Aplicacin de ejemplo con gvHIDRA';
    	return $sess;
    }

	/**
	 * Metodo para llamar desde aplicaciones, en la autenticacion inicial
	 * 
	 * Devuelve cadena vacia si todo va bien, o texto si error
	 */
	static function autenticate($p_apli)
	{
		$auth_container = new self($p_apli);

		IgepSession::session_start($p_apli, false);
		$aut = new Auth('Multiple',self::$options);
		$aut->setSessionName($p_apli);
		if (isset($_GET['logout']))
			$aut->logout();
		$aut->start();
		
		if ($aut->checkAuth()) {
			$auth_container->open('igep/include/valida/validacionMultiple.php');
		}
		return '';
	}

}

?>
